PDA

View Full Version : Small yum problem again



dominik1261011
5th October 2007, 05:58 PM
Hello,

I am just trying to update my system (Fedora 7), but I get the following error:

Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
Package kmod-nvidia needs kernel-i686 = 2.6.22.7-85.fc7, this is not available.
Complete!

The detailed operations being performed by yum are as follows:

[root@dominik ~]# yum update
livna 100% |=========================| 2.1 kB 00:00
fedora 100% |=========================| 2.1 kB 00:00
adobe-linux-i386 100% |=========================| 951 B 00:00
updates 100% |=========================| 2.3 kB 00:00
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package fuse.i386 0:2.7.0-6.fc7 set to be updated
---> Package icedax.i386 0:1.1.6-5.fc7 set to be updated
---> Package fast-user-switch-applet.i386 0:2.17.4-5.fc7 set to be updated
---> Package tzdata.noarch 0:2007h-1.fc7 set to be updated
---> Package openoffice.org-impress.i386 1:2.2.1-18.2.fc7 set to be updated
---> Package pidgin.i386 0:2.2.1-1.fc7 set to be updated
---> Package libstdc++.i386 0:4.1.2-27.fc7 set to be updated
---> Package selinux-policy-targeted.noarch 0:2.6.4-45.fc7 set to be updated
---> Package nss_ldap.i386 0:257-3.fc7 set to be updated
---> Package tetex-IEEEtran.noarch 0:1.7.1-1.fc7 set to be updated
---> Package openoffice.org-math.i386 1:2.2.1-18.2.fc7 set to be updated
---> Package dbus-glib-devel.i386 0:0.73-3.fc7 set to be updated
---> Package kde-filesystem.noarch 0:3.92-9.fc7 set to be updated
---> Package openoffice.org-draw.i386 1:2.2.1-18.2.fc7 set to be updated
---> Package kdelibs.i386 6:3.5.7-22.fc7 set to be updated
---> Package libselinux-devel.i386 0:2.0.14-9.fc7 set to be updated
---> Package kmod-nvidia.i686 0:100.14.19-1.2.6.22.9_91.fc7 set to be updated
---> Package gcc-gfortran.i386 0:4.1.2-27.fc7 set to be updated
---> Package rhythmbox.i386 0:0.10.1-2.fc7 set to be updated
---> Package cpp.i386 0:4.1.2-27.fc7 set to be updated
---> Package fuse-libs.i386 0:2.7.0-6.fc7 set to be updated
---> Package libstdc++-devel.i386 0:4.1.2-27.fc7 set to be updated
---> Package libnetfilter_conntrack.i386 0:0.0.81-1.fc7 set to be updated
---> Package libgcc.i386 0:4.1.2-27.fc7 set to be updated
---> Package libpurple.i386 0:2.2.1-1.fc7 set to be updated
---> Package xorg-x11-xtrans-devel.i386 0:1.0.3-2.1.fc7 set to be updated
---> Package selinux-policy.noarch 0:2.6.4-45.fc7 set to be updated
---> Package libgomp.i386 0:4.1.2-27.fc7 set to be updated
---> Package openoffice.org-xsltfilter.i386 1:2.2.1-18.2.fc7 set to be updated
---> Package rsync.i386 0:2.6.9-3.fc7 set to be updated
---> Package xorg-x11-drv-amd.i386 0:0.0-22.20070625.fc7 set to be updated
---> Package kernel-headers.i386 0:2.6.22.9-91.fc7 set to be updated
---> Package genisoimage.i386 0:1.1.6-5.fc7 set to be updated
---> Package gcc-c++.i386 0:4.1.2-27.fc7 set to be updated
---> Package kdebase.i386 6:3.5.7-13.1.fc7 set to be updated
---> Package libgfortran.i386 0:4.1.2-27.fc7 set to be updated
---> Package openoffice.org-langpack-pl_PL.i386 1:2.2.1-18.2.fc7 set to be updated
---> Package dbus-glib.i386 0:0.73-3.fc7 set to be updated
---> Package kernel-devel.i686 0:2.6.22.9-91.fc7 set to be updated
---> Package libselinux-python.i386 0:2.0.14-9.fc7 set to be updated
---> Package openoffice.org-core.i386 1:2.2.1-18.2.fc7 set to be updated
---> Package openoffice.org-langpack-en.i386 1:2.2.1-18.2.fc7 set to be updated
---> Package openoffice.org-calc.i386 1:2.2.1-18.2.fc7 set to be updated
---> Package libselinux.i386 0:2.0.14-9.fc7 set to be updated
---> Package python-setuptools.noarch 0:0.6c7-1.fc7 set to be updated
---> Package openoffice.org-writer.i386 1:2.2.1-18.2.fc7 set to be updated
---> Package gcc.i386 0:4.1.2-27.fc7 set to be updated
---> Package wodim.i386 0:1.1.6-5.fc7 set to be updated
---> Package kernel.i686 0:2.6.22.9-91.fc7 set to be updated
---> Package libgcj.i386 0:4.1.2-27.fc7 set to be updated
---> Package openoffice.org-graphicfilter.i386 1:2.2.1-18.2.fc7 set to be updated
---> Package alsa-utils.i386 0:1.0.14-2.fc7 set to be updated
filelists.sqlite.bz2 100% |=========================| 3.8 MB 00:33
--> Finished Dependency Resolution
--> Running transaction check
---> Package kmod-nvidia.i686 0:100.14.11-1.2.6.22.4_65.fc7 set to be erased
--> Finished Dependency Resolution

Dependencies Resolved

================================================== ===========================
Package Arch Version Repository Size
================================================== ===========================
Installing:
kernel-devel i686 2.6.22.9-91.fc7 updates 4.6 M
kmod-nvidia i686 100.14.19-1.2.6.22.9_91.fc7 livna 2.1 M
Updating:
alsa-utils i386 1.0.14-2.fc7 updates 1.0 M
dbus-glib-devel i386 0.73-3.fc7 updates 37 k
icedax i386 1.1.6-5.fc7 updates 180 k
kde-filesystem noarch 3.92-9.fc7 updates 16 k
kdebase i386 6:3.5.7-13.1.fc7 updates 28 M
kdelibs i386 6:3.5.7-22.fc7 updates 17 M
kernel-headers i386 2.6.22.9-91.fc7 updates 647 k
libgcj i386 4.1.2-27.fc7 updates 19 M
libnetfilter_conntrack i386 0.0.81-1.fc7 updates 44 k
libselinux-devel i386 2.0.14-9.fc7 updates 140 k
libselinux-python i386 2.0.14-9.fc7 updates 75 k
nss_ldap i386 257-3.fc7 updates 148 k
openoffice.org-calc i386 1:2.2.1-18.2.fc7 updates 6.8 M
openoffice.org-draw i386 1:2.2.1-18.2.fc7 updates 1.1 M
openoffice.org-graphicfilter i386 1:2.2.1-18.2.fc7 updates 198 k
openoffice.org-impress i386 1:2.2.1-18.2.fc7 updates 1.5 M
openoffice.org-langpack-en i386 1:2.2.1-18.2.fc7 updates 5.0 M
openoffice.org-langpack-pl_PL i386 1:2.2.1-18.2.fc7 updates 15 M
openoffice.org-math i386 1:2.2.1-18.2.fc7 updates 1.3 M
openoffice.org-writer i386 1:2.2.1-18.2.fc7 updates 2.9 M
openoffice.org-xsltfilter i386 1:2.2.1-18.2.fc7 updates 109 k
pidgin i386 2.2.1-1.fc7 updates 1.1 M
python-setuptools noarch 0.6c7-1.fc7 updates 470 k
rhythmbox i386 0.10.1-2.fc7 updates 4.1 M
rsync i386 2.6.9-3.fc7 updates 232 k
selinux-policy-targeted noarch 2.6.4-45.fc7 updates 1.0 M
tetex-IEEEtran noarch 1.7.1-1.fc7 updates 1.0 M
tzdata noarch 2007h-1.fc7 updates 746 k
wodim i386 1.1.6-5.fc7 updates 507 k
xorg-x11-drv-amd i386 0.0-22.20070625.fc7 updates 130 k
xorg-x11-xtrans-devel i386 1.0.3-2.1.fc7 updates 70 k
Removing:
kernel i686 2.6.22.7-85.fc7 installed 47 M
kernel-devel i686 2.6.22.7-85.fc7 installed 15 M
kmod-nvidia i686 100.14.11-1.2.6.22.4_65.fc7 installed 7.5 M
Installing for dependencies:
kernel i686 2.6.22.9-91.fc7 updates 16 M
Updating for dependencies:
cpp i386 4.1.2-27.fc7 updates 2.6 M
dbus-glib i386 0.73-3.fc7 updates 159 k
gcc i386 4.1.2-27.fc7 updates 5.2 M
libgcc i386 4.1.2-27.fc7 updates 92 k
libgfortran i386 4.1.2-27.fc7 updates 228 k
libgomp i386 4.1.2-27.fc7 updates 81 k
libpurple i386 2.2.1-1.fc7 updates 6.6 M
libselinux i386 2.0.14-9.fc7 updates 98 k
libstdc++ i386 4.1.2-27.fc7 updates 358 k
libstdc++-devel i386 4.1.2-27.fc7 updates 2.8 M
openoffice.org-core i386 1:2.2.1-18.2.fc7 updates 73 M
selinux-policy noarch 2.6.4-45.fc7 updates 361 k

Transaction Summary
================================================== ===========================
Install 3 Package(s)
Update 49 Package(s)
Remove 3 Package(s)

Total download size: 232 M
Is this ok [y/N]: y
Downloading Packages:
(1/36): alsa-utils-1.0.14 100% |=========================| 1.0 MB 00:10
(2/36): openoffice.org-gr 100%
......................
(35/36): icedax-1.1.6-5.f 100% |=========================| 180 kB 00:05
(36/36): fuse-2.7.0-6.fc7 100% |=========================| 80 kB 00:00
Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
Package kmod-nvidia needs kernel-i686 = 2.6.22.7-85.fc7, this is not available.
Complete!

I have two kernels installed now: 2.6.22.4-65
and 2.6.22.7-85. The aforementioned error occurs when running 2.6.22.4-65 kernel. I can not try to update the system when 2.6.22.7-85 is running since my wireless network card does not work with the kernel.

Waiting for any suggestions.

Thanks for help in advance.

Dominik

ppesci
5th October 2007, 06:45 PM
In the command output of:

rpm -qa|grep kernel

appear the kernel 2.6.22.7-85?

If the kernel appear, i suggest you solve your wireless problems first and then upgrade. Anyway you can update all other packages with yum using:

yum update --exclude "kmod-nvidia*"

HTH